org.apache.commons.collections4.bidimap

## Class AbstractDualBidiMap.EntrySet<K,V>

- java.lang.Object
- - org.apache.commons.collections4.collection.AbstractCollectionDecorator<E>
  - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View<K,V,Map.Entry<K,V>>
    - - org.apache.commons.collections4.bidimap.AbstractDualBidiMap.EntrySet<K,V>

- All Implemented Interfaces:
    Serializable, Iterable<Map.Entry<K,V>>, Collection<Map.Entry<K,V>>, Set<Map.Entry<K,V>>
  Enclosing class:
    AbstractDualBidiMap<K,V>

      protected static class AbstractDualBidiMap.EntrySet<K,V>
      extends AbstractDualBidiMap.View<K,V,Map.Entry<K,V>>
      implements Set<Map.Entry<K,V>>

  Inner class EntrySet.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

      `parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EntrySet(AbstractDualBidiMap<K,V> parent)` Constructs a new view of the BidiMap.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<Map.Entry<K,V>>` | `iterator()`
    `boolean` | `remove(Object obj)`

    - ### Methods inherited from class org.apache.commons.collections4.bidimap.AbstractDualBidiMap.View

      `clear, equals, hashCode, removeAll, removeIf, retainAll`

    - ### Methods inherited from class org.apache.commons.collections4.collection.AbstractCollectionDecorator

      `add, addAll, contains, containsAll, decorated, isEmpty, setCollection, size, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, size, spliterator, toArray, toArray`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### EntrySet

          protected EntrySet(AbstractDualBidiMap<K,V> parent)

      Constructs a new view of the BidiMap.
      Parameters:
        `parent` - the parent BidiMap

  - ### Method Detail

    - #### iterator

          public Iterator<Map.Entry<K,V>> iterator()

      Specified by:
        `iterator` in interface `Iterable<Map.Entry<K,V>>`
      Specified by:
        `iterator` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `iterator` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `iterator` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

    - #### remove

          public boolean remove(Object obj)

      Specified by:
        `remove` in interface `Collection<Map.Entry<K,V>>`
      Specified by:
        `remove` in interface `Set<Map.Entry<K,V>>`
      Overrides:
        `remove` in class `AbstractCollectionDecorator<Map.Entry<K,V>>`

Copyright © 2001–2019 The Apache Software Foundation. All rights reserved.